package flink.zanxiangnet.ad.monitoring.pojo.dto;

import com.tencent.ads.model.DailyReportsGetListStruct;
import lombok.Data;

import java.time.LocalDate;

/**
 * 按天拉取的广告数据
 */
@Data
public class AdDataOfDayDTO {
    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 从腾讯获取数据的起始时间
     */
    private LocalDate startDate;

    /**
     * 从腾讯获取数据的结束时间
     */
    private LocalDate endDate;

    /**
     * 账号
     */
    private String channel;

    /**
     * 账号
     */
    private Long accountId;

    /**
     * 消耗数据文本
     */
    private DailyReportsGetListStruct dailyReportsGetListStruct;
}
